Bug 1891064 - opm index add semver-skippatch mode does not respect prerelease versions
Summary: opm index add semver-skippatch mode does not respect prerelease versions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.z
Assignee: Ankita Thomas
QA Contact: kuiwang
URL:
Whiteboard:
Depends On: 1889721
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-23 17:38 UTC by OpenShift BugZilla Robot
Modified: 2020-12-10 15:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-30 16:45:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github operator-framework operator-registry pull 488 0 None closed [release-4.6] Bug 1891064: Check prerelease version for semver-skippatch mode 2020-12-10 15:56:32 UTC
Red Hat Product Errata RHBA-2020:5115 0 None None None 2020-11-30 16:45:53 UTC

Description OpenShift BugZilla Robot 2020-10-23 17:38:58 UTC
+++ This bug was initially created as a clone of Bug #1889721 +++

Description of problem:

When using semver-skippatch mode, opm should be automatically shortening the graph and skipping over non-latest patch versions to install the latest patch version of a package. Currently, this does not work correctly if a prerelease value is included in the version, as those versions are ignored and not skipped.

https://github.com/operator-framework/operator-registry/blob/master/pkg/registry/bundlegraphloader.go#L156-L158

Version-Release number of selected component (if applicable):

4.5

How reproducible:

Always

Steps to Reproduce:
1. Add two bundles to an existing package in an index image, both with prerelease values and versions that otherwise match, using `index add --mode=semver-skippatch

Actual results:

Look at the resulting graph, noting that the lower of the two prerelease values is not skipped

Expected results:

The lower prerelease version should be skipped

--- Additional comment from lucarval@redhat.com on 2020-10-21 19:43:11 UTC ---

Any estimation of when this will be ready?

--- Additional comment from nhale@redhat.com on 2020-10-23 17:29:42 UTC ---

This has been approved and lgtmed and should merge today.

Comment 4 kuiwang 2020-11-23 03:06:46 UTC
verify it on 4.6. LGTM

--
[root@preserve-olm-env operator-registry]# git log -n 3
commit d1f14850944948e7ccdb5be0e57619e2a98acb20
Merge: bd95197 fec8100
Author: OpenShift Merge Robot <openshift-merge-robot@users.noreply.github.com>
Date:   Fri Nov 20 21:46:08 2020 +0100

    Merge pull request #488 from openshift-cherrypick-robot/cherry-pick-486-to-release-4.6
    
    [release-4.6] Bug 1891064: Check prerelease version for semver-skippatch mode

commit bd951973f234dcffde1b7287773204467fcd35b1
Merge: 0e2178b 0c43ef0
Author: OpenShift Merge Robot <openshift-merge-robot@users.noreply.github.com>
Date:   Fri Nov 20 18:57:44 2020 +0100

    Merge pull request #520 from benluddy/listbundles-multiple-incoming-edges-46
    
    Bug 1892360: Reconstruct replaces/splits for Listbundles from channel_entry.

commit fec8100005db2e8dedb8a429015428448c7fc2af
Author: Ankita Thomas <ankithom@redhat.com>
Date:   Tue Nov 3 13:37:28 2020 -0500

    add skippatch unit test
[root@preserve-olm-env operator-registry]# make clean
[root@preserve-olm-env operator-registry]# make build
GOFLAGS="-mod=vendor" go build  -tags "json1" -o bin/appregistry-server ./cmd/appregistry-server
GOFLAGS="-mod=vendor" go build  -tags "json1" -o bin/configmap-server ./cmd/configmap-server
GOFLAGS="-mod=vendor" go build  -tags "json1" -o bin/initializer ./cmd/initializer
GOFLAGS="-mod=vendor" go build  -tags "json1" -o bin/registry-server ./cmd/registry-server
GOFLAGS="-mod=vendor" go build -ldflags "-X 'github.com/operator-framework/operator-registry/cmd/opm/version.gitCommit=d1f1485' -X 'github.com/operator-framework/operator-registry/cmd/opm/version.opmVersion=v1.14.3-16-gd1f1485' -X 'github.com/operator-framework/operator-registry/cmd/opm/version.buildDate=2020-11-23T01:32:12Z'"  -tags "json1" -o bin/opm ./cmd/opm
[root@preserve-olm-env operator-registry]# 

[root@preserve-olm-env operator-registry]# grep "version: " manifests/teiid-1889721/0.2.0/teiid.v0.2.0.clusterserviceversion.yaml
        version: v1alpha1
  version: 0.2.0
[root@preserve-olm-env operator-registry]# ./bin/opm alpha bundle build --directory /root/kuiwang/operator-registry/manifests/teiid-1889721/0.2.0 --tag quay.io/kuiwang/teiid-operator:v0.2.1891064 -p teiid -c beta -e beta
INFO[0000] Building annotations.yaml                    
INFO[0000] Writing annotations.yaml in /root/kuiwang/operator-registry/manifests/teiid-1889721/metadata 
INFO[0000] Building Dockerfile                          
INFO[0000] Writing bundle.Dockerfile in /root/kuiwang/operator-registry 
INFO[0000] Building bundle image                        
Sending build context to Docker daemon  269.9MB
Step 1/9 : FROM scratch
 ---> 
Step 2/9 : LABEL operators.operatorframework.io.bundle.mediatype.v1=registry+v1
 ---> Using cache
 ---> 17f4d6cc02f6
Step 3/9 : LABEL operators.operatorframework.io.bundle.manifests.v1=manifests/
 ---> Using cache
 ---> ed5b62e609a0
Step 4/9 : LABEL operators.operatorframework.io.bundle.metadata.v1=metadata/
 ---> Using cache
 ---> 958a7490fbd5
Step 5/9 : LABEL operators.operatorframework.io.bundle.package.v1=teiid
 ---> Using cache
 ---> 660a23efdfcf
Step 6/9 : LABEL operators.operatorframework.io.bundle.channels.v1=beta
 ---> Using cache
 ---> c841860d7e05
Step 7/9 : LABEL operators.operatorframework.io.bundle.channel.default.v1=beta
 ---> Using cache
 ---> add28127624d
Step 8/9 : COPY manifests/teiid-1889721/0.2.0 /manifests/
 ---> 60fd934f3266
Step 9/9 : COPY manifests/teiid-1889721/metadata /metadata/
 ---> e75a329edbbd
Successfully built e75a329edbbd
Successfully tagged quay.io/kuiwang/teiid-operator:v0.2.1891064
[root@preserve-olm-env operator-registry]# docker push quay.io/kuiwang/teiid-operator:v0.2.1891064
The push refers to repository [quay.io/kuiwang/teiid-operator]
de9f48065a31: Pushed 
47fc405f0e29: Pushed 
v0.2.1891064: digest: sha256:175a1349cc4af1459e406f0588575f18a26d28cd3a76b3b2e605f283f0991b30 size: 733
[root@preserve-olm-env operator-registry]# rm -fr bundle.Dockerfile manifests/teiid-1889721/metadata/
[root@preserve-olm-env operator-registry]# 


[root@preserve-olm-env operator-registry]# ./bin/opm index add --bundles quay.io/kuiwang/teiid-operator:v0.2.1891064 --tag quay.io/kuiwang/teiid-index:1891064 -c docker --mode=semver-skippatch
INFO[0000] building the index                            bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064]"
INFO[0000] running /usr/bin/docker pull quay.io/kuiwang/teiid-operator:v0.2.1891064  bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064]"
INFO[0000] running docker create                         bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064]"
INFO[0000] running docker cp                             bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064]"
INFO[0000] running docker rm                             bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064]"
INFO[0000] Could not find optional dependencies file     dir=bundle_tmp975119228 file=bundle_tmp975119228/metadata load=annotations
INFO[0000] found csv, loading bundle                     dir=bundle_tmp975119228 file=bundle_tmp975119228/manifests load=bundle
INFO[0000] loading bundle file                           dir=bundle_tmp975119228/manifests file=teiid.io_virtualdatabases_crd.yaml load=bundle
INFO[0000] loading bundle file                           dir=bundle_tmp975119228/manifests file=teiid.v0.2.0.clusterserviceversion.yaml load=bundle
INFO[0000] Generating dockerfile                         bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064]"
INFO[0000] writing dockerfile: index.Dockerfile707095610  bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064]"
INFO[0000] running docker build                          bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064]"
INFO[0000] [docker build -f index.Dockerfile707095610 -t quay.io/kuiwang/teiid-index:1891064 .]  bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064]"
[root@preserve-olm-env operator-registry]# docker push quay.io/kuiwang/teiid-index:1891064
The push refers to repository [quay.io/kuiwang/teiid-index]
fda6e5cd454d: Pushed 
fbe39d558281: Layer already exists 
e105a1e44712: Layer already exists 
371d4702865c: Layer already exists 
4570b0d18853: Layer already exists 
ace0eda3e3be: Layer already exists 
1891064: digest: sha256:5b659e9dfb044f2ed91c4208a26daa90a085b602bc97c3fb49467e7ab343174f size: 1578
[root@preserve-olm-env operator-registry]# 


[root@preserve-olm-env operator-registry]# grep "version: " manifests/teiid-1889721/0.3.0/teiid.v0.3.0.clusterserviceversion.yaml
        version: v1alpha1
  version: 0.2.0-1
[root@preserve-olm-env operator-registry]# ./bin/opm alpha bundle build --directory /root/kuiwang/operator-registry/manifests/teiid-1889721/0.3.0 --tag quay.io/kuiwang/teiid-operator:v0.2.1891064-1 -p teiid -c beta -e beta
INFO[0000] Building annotations.yaml                    
INFO[0000] Writing annotations.yaml in /root/kuiwang/operator-registry/manifests/teiid-1889721/metadata 
INFO[0000] Building Dockerfile                          
INFO[0000] Writing bundle.Dockerfile in /root/kuiwang/operator-registry 
INFO[0000] Building bundle image                        
Sending build context to Docker daemon  269.9MB
Step 1/9 : FROM scratch
 ---> 
Step 2/9 : LABEL operators.operatorframework.io.bundle.mediatype.v1=registry+v1
 ---> Using cache
 ---> 17f4d6cc02f6
Step 3/9 : LABEL operators.operatorframework.io.bundle.manifests.v1=manifests/
 ---> Using cache
 ---> ed5b62e609a0
Step 4/9 : LABEL operators.operatorframework.io.bundle.metadata.v1=metadata/
 ---> Using cache
 ---> 958a7490fbd5
Step 5/9 : LABEL operators.operatorframework.io.bundle.package.v1=teiid
 ---> Using cache
 ---> 660a23efdfcf
Step 6/9 : LABEL operators.operatorframework.io.bundle.channels.v1=beta
 ---> Using cache
 ---> c841860d7e05
Step 7/9 : LABEL operators.operatorframework.io.bundle.channel.default.v1=beta
 ---> Using cache
 ---> add28127624d
Step 8/9 : COPY manifests/teiid-1889721/0.3.0 /manifests/
 ---> 38a1387c2dd1
Step 9/9 : COPY manifests/teiid-1889721/metadata /metadata/
 ---> f27690de41c3
Successfully built f27690de41c3
Successfully tagged quay.io/kuiwang/teiid-operator:v0.2.1891064-1
[root@preserve-olm-env operator-registry]# docker push quay.io/kuiwang/teiid-operator:v0.2.1891064-1
The push refers to repository [quay.io/kuiwang/teiid-operator]
2dcd345f34cf: Pushed 
fda4fb8fd299: Pushed 
v0.2.1891064-1: digest: sha256:f4025f9781ae905d68e5a91e61757598e157d9a704f698419656c8392318a78e size: 733
[root@preserve-olm-env operator-registry]# rm -fr bundle.Dockerfile manifests/teiid-1889721/metadata/
[root@preserve-olm-env operator-registry]# ./bin/opm index add --bundles quay.io/kuiwang/teiid-operator:v0.2.1891064-1 --from-index quay.io/kuiwang/teiid-index:1891064 --tag quay.io/kuiwang/teiid-index:1891064 -c docker --mode=semver-skippatch
INFO[0000] building the index                            bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-1]"
INFO[0000] Pulling previous image quay.io/kuiwang/teiid-index:1891064 to get metadata  bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-1]"
INFO[0000] running /usr/bin/docker pull quay.io/kuiwang/teiid-index:1891064  bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-1]"
INFO[0000] running /usr/bin/docker pull quay.io/kuiwang/teiid-index:1891064  bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-1]"
INFO[0001] Getting label data from previous image        bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-1]"
INFO[0001] running docker inspect                        bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-1]"
INFO[0001] running docker create                         bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-1]"
INFO[0001] running docker cp                             bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-1]"
INFO[0001] running docker rm                             bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-1]"
INFO[0001] running /usr/bin/docker pull quay.io/kuiwang/teiid-operator:v0.2.1891064-1  bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-1]"
INFO[0002] running docker create                         bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-1]"
INFO[0002] running docker cp                             bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-1]"
INFO[0002] running docker rm                             bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-1]"
INFO[0002] Could not find optional dependencies file     dir=bundle_tmp650104420 file=bundle_tmp650104420/metadata load=annotations
INFO[0002] found csv, loading bundle                     dir=bundle_tmp650104420 file=bundle_tmp650104420/manifests load=bundle
INFO[0002] loading bundle file                           dir=bundle_tmp650104420/manifests file=teiid.io_virtualdatabases_crd.yaml load=bundle
INFO[0002] loading bundle file                           dir=bundle_tmp650104420/manifests file=teiid.v0.3.0.clusterserviceversion.yaml load=bundle
INFO[0002] Generating dockerfile                         bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-1]"
INFO[0002] writing dockerfile: index.Dockerfile949519586  bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-1]"
INFO[0002] running docker build                          bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-1]"
INFO[0002] [docker build -f index.Dockerfile949519586 -t quay.io/kuiwang/teiid-index:1891064 .]  bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-1]"
[root@preserve-olm-env operator-registry]# docker push quay.io/kuiwang/teiid-index:1891064
The push refers to repository [quay.io/kuiwang/teiid-index]
0a3d353d2285: Pushed 
fbe39d558281: Layer already exists 
e105a1e44712: Layer already exists 
371d4702865c: Layer already exists 
4570b0d18853: Layer already exists 
ace0eda3e3be: Layer already exists 
1891064: digest: sha256:647da8b61f43350b0562e767eb34d2360b45e2690f98b0ece619d2da21e87d26 size: 1578
[root@preserve-olm-env operator-registry]# 


[root@preserve-olm-env operator-registry]# grep "version: " manifests/teiid-1889721/0.4.0/teiid.v0.4.0.clusterserviceversion.yaml
      version: v1alpha1
  version: 0.2.0-2
[root@preserve-olm-env operator-registry]# ./bin/opm alpha bundle build --directory /root/kuiwang/operator-registry/manifests/teiid-1889721/0.4.0 --tag quay.io/kuiwang/teiid-operator:v0.2.1891064-2 -p teiid -c beta -e beta
INFO[0000] Building annotations.yaml                    
INFO[0000] Writing annotations.yaml in /root/kuiwang/operator-registry/manifests/teiid-1889721/metadata 
INFO[0000] Building Dockerfile                          
INFO[0000] Writing bundle.Dockerfile in /root/kuiwang/operator-registry 
INFO[0000] Building bundle image                        
Sending build context to Docker daemon  269.9MB
Step 1/9 : FROM scratch
 ---> 
Step 2/9 : LABEL operators.operatorframework.io.bundle.mediatype.v1=registry+v1
 ---> Using cache
 ---> 17f4d6cc02f6
Step 3/9 : LABEL operators.operatorframework.io.bundle.manifests.v1=manifests/
 ---> Using cache
 ---> ed5b62e609a0
Step 4/9 : LABEL operators.operatorframework.io.bundle.metadata.v1=metadata/
 ---> Using cache
 ---> 958a7490fbd5
Step 5/9 : LABEL operators.operatorframework.io.bundle.package.v1=teiid
 ---> Using cache
 ---> 660a23efdfcf
Step 6/9 : LABEL operators.operatorframework.io.bundle.channels.v1=beta
 ---> Using cache
 ---> c841860d7e05
Step 7/9 : LABEL operators.operatorframework.io.bundle.channel.default.v1=beta
 ---> Using cache
 ---> add28127624d
Step 8/9 : COPY manifests/teiid-1889721/0.4.0 /manifests/
 ---> 78f90f367ee1
Step 9/9 : COPY manifests/teiid-1889721/metadata /metadata/
 ---> 5a91226fb5d8
Successfully built 5a91226fb5d8
Successfully tagged quay.io/kuiwang/teiid-operator:v0.2.1891064-2
[root@preserve-olm-env operator-registry]# docker push quay.io/kuiwang/teiid-operator:v0.2.1891064-2
The push refers to repository [quay.io/kuiwang/teiid-operator]
4ad41ad137e8: Pushed 
a61b8c33447b: Pushed 
v0.2.1891064-2: digest: sha256:f4f206479ab61e05b4e698e06a5ad076b2a4a099d4f30cdfc7fe08c337d05a33 size: 733
[root@preserve-olm-env operator-registry]# rm -fr bundle.Dockerfile manifests/teiid-1889721/metadata/
[root@preserve-olm-env operator-registry]# ./bin/opm index add --bundles quay.io/kuiwang/teiid-operator:v0.2.1891064-2 --from-index quay.io/kuiwang/teiid-index:1891064 --tag quay.io/kuiwang/teiid-index:1891064 -c docker --mode=semver-skippatch
INFO[0000] building the index                            bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-2]"
INFO[0000] Pulling previous image quay.io/kuiwang/teiid-index:1891064 to get metadata  bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-2]"
INFO[0000] running /usr/bin/docker pull quay.io/kuiwang/teiid-index:1891064  bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-2]"
INFO[0000] running /usr/bin/docker pull quay.io/kuiwang/teiid-index:1891064  bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-2]"
INFO[0001] Getting label data from previous image        bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-2]"
INFO[0001] running docker inspect                        bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-2]"
INFO[0001] running docker create                         bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-2]"
INFO[0001] running docker cp                             bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-2]"
INFO[0001] running docker rm                             bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-2]"
INFO[0001] running /usr/bin/docker pull quay.io/kuiwang/teiid-operator:v0.2.1891064-2  bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-2]"
INFO[0002] running docker create                         bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-2]"
INFO[0002] running docker cp                             bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-2]"
INFO[0002] running docker rm                             bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-2]"
INFO[0002] Could not find optional dependencies file     dir=bundle_tmp111264643 file=bundle_tmp111264643/metadata load=annotations
INFO[0002] found csv, loading bundle                     dir=bundle_tmp111264643 file=bundle_tmp111264643/manifests load=bundle
INFO[0002] loading bundle file                           dir=bundle_tmp111264643/manifests file=teiid.io_virtualdatabases_crd.yaml load=bundle
INFO[0002] loading bundle file                           dir=bundle_tmp111264643/manifests file=teiid.v0.4.0.clusterserviceversion.yaml load=bundle
INFO[0002] Generating dockerfile                         bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-2]"
INFO[0002] writing dockerfile: index.Dockerfile775230313  bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-2]"
INFO[0002] running docker build                          bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-2]"
INFO[0002] [docker build -f index.Dockerfile775230313 -t quay.io/kuiwang/teiid-index:1891064 .]  bundles="[quay.io/kuiwang/teiid-operator:v0.2.1891064-2]"
[root@preserve-olm-env operator-registry]# docker push quay.io/kuiwang/teiid-index:1891064
The push refers to repository [quay.io/kuiwang/teiid-index]
6a832dca2acb: Pushed 
fbe39d558281: Layer already exists 
e105a1e44712: Layer already exists 
371d4702865c: Layer already exists 
4570b0d18853: Layer already exists 
ace0eda3e3be: Layer already exists 
1891064: digest: sha256:2abc50002314289fd422ff41ea25bffb45b91f645c731583c93fdf8738ea2336 size: 1578
[root@preserve-olm-env operator-registry]# 


[root@preserve-olm-env operator-registry]# oc get pod -n openshift-operator-lifecycle-manager
NAME                                READY   STATUS    RESTARTS   AGE
catalog-operator-79b84f5f77-999br   1/1     Running   0          42m
olm-operator-5bddb4549f-2v6rf       1/1     Running   0          42m
packageserver-85b744db79-2mjtm      1/1     Running   0          42m
packageserver-85b744db79-w4bx4      1/1     Running   0          44m
[root@preserve-olm-env operator-registry]# oc exec catalog-operator-79b84f5f77-999br -n openshift-operator-lifecycle-manager -- olm --version
OLM version: 0.16.1
git commit: f754da683a76e2f0f7fe0cd08b96f925c4a24cb2
[root@preserve-olm-env operator-registry]# 

[root@preserve-olm-env 1891064]# cat og-single.yaml 
kind: OperatorGroup
apiVersion: operators.coreos.com/v1
metadata:
  name: og-single1
  namespace: default
spec:
  targetNamespaces:
  - default
[root@preserve-olm-env 1891064]# oc apply -f og-single.yaml 
operatorgroup.operators.coreos.com/og-single1 created
[root@preserve-olm-env 1891064]# cat catsrcteiid.yaml 
apiVersion: operators.coreos.com/v1alpha1
kind: CatalogSource
metadata:
  name: olm-1933-v1-catalog
  namespace: default
spec:
  displayName: OLM 1933 Operator Catalog
  image: quay.io/kuiwang/teiid-index:1891064
  icon:
    base64data: ""
    mediatype: ""
  publisher: QE
  sourceType: grpc
  updateStrategy:
    registryPoll:
      interval: 2m0s
[root@preserve-olm-env 1891064]# oc apply -f catsrcteiid.yaml 
catalogsource.operators.coreos.com/olm-1933-v1-catalog created
[root@preserve-olm-env 1891064]# oc get pod
NAME                        READY   STATUS              RESTARTS   AGE
olm-1933-v1-catalog-cxb7g   0/1     ContainerCreating   0          3s
[root@preserve-olm-env 1891064]# oc get pod
NAME                        READY   STATUS    RESTARTS   AGE
olm-1933-v1-catalog-cxb7g   0/1     Running   0          17s
[root@preserve-olm-env 1891064]# oc get pod
NAME                        READY   STATUS    RESTARTS   AGE
olm-1933-v1-catalog-cxb7g   1/1     Running   0          21s
[root@preserve-olm-env 1891064]# cat sub-t.yaml 
apiVersion: operators.coreos.com/v1alpha1
kind: Subscription
metadata:
  name: teiid
  namespace: default
spec:
  channel: beta
  installPlanApproval: Automatic
  name: teiid
  source: olm-1933-v1-catalog
  sourceNamespace: default
  startingCSV: teiid.v0.2.0
[root@preserve-olm-env 1891064]# oc apply -f sub-t.yaml 
subscription.operators.coreos.com/teiid created
[root@preserve-olm-env 1891064]# oc get sub
NAME    PACKAGE   SOURCE                CHANNEL
teiid   teiid     olm-1933-v1-catalog   beta
[root@preserve-olm-env 1891064]# oc get ip
NAME            CSV            APPROVAL    APPROVED
install-n2bnn   teiid.v0.2.0   Automatic   true
[root@preserve-olm-env 1891064]# oc get csv
NAME           DISPLAY   VERSION   REPLACES       PHASE
teiid.v0.2.0   Teiid     0.2.0     teiid.v0.4.0   Installing
[root@preserve-olm-env 1891064]# oc get csv
NAME           DISPLAY   VERSION   REPLACES       PHASE
teiid.v0.2.0   Teiid     0.2.0     teiid.v0.4.0   Succeeded
[root@preserve-olm-env 1891064]# 


--

Comment 7 errata-xmlrpc 2020-11-30 16:45:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6.6 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:5115


Note You need to log in before you can comment on or make changes to this bug.